org.keycloak.representations.adapters.config

## Class BaseAdapterConfig

- java.lang.Object
- - org.keycloak.representations.adapters.config.BaseRealmConfig
  - - org.keycloak.representations.adapters.config.BaseAdapterConfig

- Direct Known Subclasses:
    AdapterConfig

      public class BaseAdapterConfig
      extends BaseRealmConfig

  Common Adapter configuration
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `bearerOnly`
    `protected boolean` | `cors`
    `protected String` | `corsAllowedHeaders`
    `protected String` | `corsAllowedMethods`
    `protected int` | `corsMaxAge`
    `protected Map<String,String>` | `credentials`
    `protected boolean` | `enableBasicAuth`
    `protected boolean` | `exposeToken`
    `protected boolean` | `publicClient`
    `protected String` | `resource`
    `protected boolean` | `useResourceRoleMappings`

    - ### Fields inherited from class org.keycloak.representations.adapters.config.BaseRealmConfig

      `authServerUrl, realm, realmKey, sslRequired`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseAdapterConfig()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCorsAllowedHeaders()`
    `String` | `getCorsAllowedMethods()`
    `int` | `getCorsMaxAge()`
    `Map<String,String>` | `getCredentials()`
    `String` | `getResource()`
    `boolean` | `isBearerOnly()`
    `boolean` | `isCors()`
    `boolean` | `isEnableBasicAuth()`
    `boolean` | `isExposeToken()`
    `boolean` | `isPublicClient()`
    `boolean` | `isUseResourceRoleMappings()`
    `void` | `setBearerOnly(boolean bearerOnly)`
    `void` | `setCors(boolean cors)`
    `void` | `setCorsAllowedHeaders(String corsAllowedHeaders)`
    `void` | `setCorsAllowedMethods(String corsAllowedMethods)`
    `void` | `setCorsMaxAge(int corsMaxAge)`
    `void` | `setCredentials(Map<String,String> credentials)`
    `void` | `setEnableBasicAuth(boolean enableBasicAuth)`
    `void` | `setExposeToken(boolean exposeToken)`
    `void` | `setPublicClient(boolean publicClient)`
    `void` | `setResource(String resource)`
    `void` | `setUseResourceRoleMappings(boolean useResourceRoleMappings)`

    - ### Methods inherited from class org.keycloak.representations.adapters.config.BaseRealmConfig

      `getAuthServerUrl, getRealm, getRealmKey, getSslRequired, setAuthServerUrl, setRealm, setRealmKey, setSslRequired`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### resource

          protected String resource

    - #### useResourceRoleMappings

          protected boolean useResourceRoleMappings

    - #### cors

          protected boolean cors

    - #### corsMaxAge

          protected int corsMaxAge

    - #### corsAllowedHeaders

          protected String corsAllowedHeaders

    - #### corsAllowedMethods

          protected String corsAllowedMethods

    - #### exposeToken

          protected boolean exposeToken

    - #### bearerOnly

          protected boolean bearerOnly

    - #### enableBasicAuth

          protected boolean enableBasicAuth

    - #### publicClient

          protected boolean publicClient

    - #### credentials

          protected Map<String,String> credentials

  - ### Constructor Detail

    - #### BaseAdapterConfig

          public BaseAdapterConfig()

  - ### Method Detail

    - #### isUseResourceRoleMappings

          public boolean isUseResourceRoleMappings()

    - #### setUseResourceRoleMappings

          public void setUseResourceRoleMappings(boolean useResourceRoleMappings)

    - #### getResource

          public String getResource()

    - #### setResource

          public void setResource(String resource)

    - #### isCors

          public boolean isCors()

    - #### setCors

          public void setCors(boolean cors)

    - #### getCorsMaxAge

          public int getCorsMaxAge()

    - #### setCorsMaxAge

          public void setCorsMaxAge(int corsMaxAge)

    - #### getCorsAllowedHeaders

          public String getCorsAllowedHeaders()

    - #### setCorsAllowedHeaders

          public void setCorsAllowedHeaders(String corsAllowedHeaders)

    - #### getCorsAllowedMethods

          public String getCorsAllowedMethods()

    - #### setCorsAllowedMethods

          public void setCorsAllowedMethods(String corsAllowedMethods)

    - #### isExposeToken

          public boolean isExposeToken()

    - #### setExposeToken

          public void setExposeToken(boolean exposeToken)

    - #### isBearerOnly

          public boolean isBearerOnly()

    - #### setBearerOnly

          public void setBearerOnly(boolean bearerOnly)

    - #### isEnableBasicAuth

          public boolean isEnableBasicAuth()

    - #### setEnableBasicAuth

          public void setEnableBasicAuth(boolean enableBasicAuth)

    - #### getCredentials

          public Map<String,String> getCredentials()

    - #### setCredentials

          public void setCredentials(Map<String,String> credentials)

    - #### isPublicClient

          public boolean isPublicClient()

    - #### setPublicClient

          public void setPublicClient(boolean publicClient)

Copyright © 2015. All Rights Reserved.